curl --request PATCH \
--url https://api.arize.com/v2/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dataset Name"
}
'{
"id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"versions": [
{
"id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"name": "v1.0",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z"
},
{
"id": "RGF0YXNldFZlcnNpb246MjphQmNE",
"name": "v1.1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-02-01T12:00:00Z",
"updated_at": "2024-02-02T12:00:00Z"
}
]
}Update an existing dataset by its ID.
Payload Requirements
name is required.name must be unique within the space (409 Conflict if duplicate).name cannot be empty or whitespace-only.Valid example
{
"name": "Updated Dataset Name"
}
Invalid example (empty body — no fields provided)
{}
curl --request PATCH \
--url https://api.arize.com/v2/datasets/{dataset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dataset Name"
}
'{
"id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"versions": [
{
"id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"name": "v1.0",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z"
},
{
"id": "RGF0YXNldFZlcnNpb246MjphQmNE",
"name": "v1.1",
"dataset_id": "RGF0YXNldDoxOmFCY0Q=",
"created_at": "2024-02-01T12:00:00Z",
"updated_at": "2024-02-02T12:00:00Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://arize-ax.mintlify.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
The unique dataset identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Body containing dataset update parameters.
New name for the dataset. Must be unique within the space.
A dataset object
A dataset is a structured collection of examples used to test and evaluate LLM applications. Datasets allow you to test models consistently across any real-world scenarios and edge cases, quickly identify regressions, and track measurable improvements.
Unique identifier for the dataset
Name of the dataset
Unique identifier for the space this dataset belongs to
Timestamp for when the dataset was created
Timestamp for the last update of the dataset
List of versions associated with this dataset
Show child attributes
Was this page helpful?
Suggestions